List what a destination offers
curl --request GET \
--url https://api.redbark.com/v2/destinations/{id}/resources \
--header 'Authorization: Bearer <token>' \
--header 'Redbark-Version: <api-key>'const options = {
method: 'GET',
headers: {Authorization: 'Bearer <token>', 'Redbark-Version': '<api-key>'}
};
fetch('https://api.redbark.com/v2/destinations/{id}/resources', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.redbark.com/v2/destinations/{id}/resources"
headers = {
"Authorization": "Bearer <token>",
"Redbark-Version": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text){
"object": "list",
"data": [
{
"object": "destination_resource",
"type": "<string>",
"id": "<string>",
"name": "<string>",
"parent": "<string>",
"extra": {}
}
],
"next_page_url": "<string>",
"previous_page_url": "<string>"
}{
"error": {
"type": "invalid_request_error",
"code": "<string>",
"message": "<string>",
"param": "<string>",
"doc_url": "<string>",
"request_id": "<string>"
}
}{
"error": {
"type": "invalid_request_error",
"code": "<string>",
"message": "<string>",
"param": "<string>",
"doc_url": "<string>",
"request_id": "<string>"
}
}{
"error": {
"type": "invalid_request_error",
"code": "<string>",
"message": "<string>",
"param": "<string>",
"doc_url": "<string>",
"request_id": "<string>"
}
}{
"error": {
"type": "invalid_request_error",
"code": "<string>",
"message": "<string>",
"param": "<string>",
"doc_url": "<string>",
"request_id": "<string>"
}
}{
"error": {
"type": "invalid_request_error",
"code": "<string>",
"message": "<string>",
"param": "<string>",
"doc_url": "<string>",
"request_id": "<string>"
}
}{
"error": {
"type": "invalid_request_error",
"code": "<string>",
"message": "<string>",
"param": "<string>",
"doc_url": "<string>",
"request_id": "<string>"
}
}{
"error": {
"type": "invalid_request_error",
"code": "<string>",
"message": "<string>",
"param": "<string>",
"doc_url": "<string>",
"request_id": "<string>"
}
}{
"error": {
"type": "invalid_request_error",
"code": "<string>",
"message": "<string>",
"param": "<string>",
"doc_url": "<string>",
"request_id": "<string>"
}
}Destinations
List what a destination offers
Spreadsheets and sheets (Sheets), databases (Notion), bases and tables (Airtable), budgets, accounts and categories (YNAB). type narrows; parent scopes to a spreadsheet, base or budget. Live from the provider.
GET
/
destinations
/
{id}
/
resources
List what a destination offers
curl --request GET \
--url https://api.redbark.com/v2/destinations/{id}/resources \
--header 'Authorization: Bearer <token>' \
--header 'Redbark-Version: <api-key>'const options = {
method: 'GET',
headers: {Authorization: 'Bearer <token>', 'Redbark-Version': '<api-key>'}
};
fetch('https://api.redbark.com/v2/destinations/{id}/resources', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.redbark.com/v2/destinations/{id}/resources"
headers = {
"Authorization": "Bearer <token>",
"Redbark-Version": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text){
"object": "list",
"data": [
{
"object": "destination_resource",
"type": "<string>",
"id": "<string>",
"name": "<string>",
"parent": "<string>",
"extra": {}
}
],
"next_page_url": "<string>",
"previous_page_url": "<string>"
}{
"error": {
"type": "invalid_request_error",
"code": "<string>",
"message": "<string>",
"param": "<string>",
"doc_url": "<string>",
"request_id": "<string>"
}
}{
"error": {
"type": "invalid_request_error",
"code": "<string>",
"message": "<string>",
"param": "<string>",
"doc_url": "<string>",
"request_id": "<string>"
}
}{
"error": {
"type": "invalid_request_error",
"code": "<string>",
"message": "<string>",
"param": "<string>",
"doc_url": "<string>",
"request_id": "<string>"
}
}{
"error": {
"type": "invalid_request_error",
"code": "<string>",
"message": "<string>",
"param": "<string>",
"doc_url": "<string>",
"request_id": "<string>"
}
}{
"error": {
"type": "invalid_request_error",
"code": "<string>",
"message": "<string>",
"param": "<string>",
"doc_url": "<string>",
"request_id": "<string>"
}
}{
"error": {
"type": "invalid_request_error",
"code": "<string>",
"message": "<string>",
"param": "<string>",
"doc_url": "<string>",
"request_id": "<string>"
}
}{
"error": {
"type": "invalid_request_error",
"code": "<string>",
"message": "<string>",
"param": "<string>",
"doc_url": "<string>",
"request_id": "<string>"
}
}{
"error": {
"type": "invalid_request_error",
"code": "<string>",
"message": "<string>",
"param": "<string>",
"doc_url": "<string>",
"request_id": "<string>"
}
}Authorizations
Authorization: Bearer rbk_live_...
The API release your integration is built against, e.g. 2026-10-01.wattle. Required on every request.
Path Parameters
The id of the object.
Example:
"dest_3Fg5Hj7kLm9nPq1rSt3uVw"
Query Parameters
Narrow to one resource type
Available options:
spreadsheet, sheet, database, base, table, budget, account, category Scope to a spreadsheet, base or budget id (required for sheet, table, account or category)

